Installation nicht möglich

Hallo Leute!

Die Installation von PostgreSQL 8.2.3 soll auf einem openSuSE Linux 10.2 erfolgen.

./configure scheint noch ohne Probleme zu funktionieren.

Die Log-Datei zu dem Prozess könnt ihr euch hier mal anschauen:
http://www.scrockau06.de/err/configure.log

bei “gmake” werden dann aber Error-Meldungen ausgespuckt.

Die Log-Datei gibts hier:
http://www.scrockau06.de/err/gmake.log

Wo liegt denn der Fehler? Bison ist installiert.


MfG
hotte

Was hat das mit bison zu tun?
Er kann anscheinend ein Verzeichnis für die Regression Tests nicht finden.
Woran das genau liegt, kann man von hier aus nicht sagen, da ich nicht sehen kann, welches Verzeichnis er sucht und ob das vielleicht nur falsch geschrieben ist oder gar nicht vorhanden ist.

Gegenvorschlag: wenn du nicht weisst, wie man Pakete erstellt oder Programme unter Unix installiert, würde ich dir empfehlen, dir ein fertiges Paket dafür zu suchen.

Was das mit Bison zu tun hat, weiß ich nicht. Beim konfigurieren kam nur die Meldung, dass es nicht installiert ist. Also hab ich es installiert, da vllt der Fehler darin schon zu finden war.

Und nur zur Info: Ich bin sicherlich Neuling auf dem Gebiet, aber ich weiß wohl, wie man Pakete installiert. Und man kann bei diesem Paket auch nichts falsch machen, da die komplette Installationsanleitung des Herstellers das eigentlich idiotensicher beschreibt.
Siehe hier: http://www.postgres.de/install.html

Theoretisch reicht ein “./configure” und “gmake” aus.

Bison übersetzt die C-Texte in etwas, was der Compiler auswerten kann. Ohne wird es also nicht funktionieren. Wenn Configure durchgelaufen ist und dahingehend keine Fehlermeldung gebracht hat, dürften also alle notwendigen Tools vorhanden sein.

Zum Thema Pakete: damit meinte ich ein fertig erstelltes Paket deiner Distribution bzw. für dein Betriebssystem, nicht ein selbst compiliertes.

Hi!

Also ich hab das Problem heute beheben können. Das Archiv, welches ich gedownloadet hab, war nur 10MB groß und damit 4,8MB zu klein. Deswegen haben die Dateien gefehlt.